CREATE TABLE fnd_map_document_sequences (
    MAP_ID                VARCHAR2(256),
    S_TYPE                VARCHAR2(4)      NOT NULL,
    S_DOC_SEQUENCE_ID     NUMBER(18, 0)    NOT NULL,
    MODULE_ID             VARCHAR2(128)    NOT NULL,
    T_DOC_SEQUENCE_ID     NUMBER(18, 0)    NOT NULL,
    T_DETERMINANT_TYPE    VARCHAR2(120),
    MAPPED_FLAG           VARCHAR2(4)      NOT NULL,
    MIGRATED_FLAG         VARCHAR2(4)      NOT NULL,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128)    NOT NULL,
    MAP_ID                VARCHAR2(256),
    S_TYPE                VARCHAR2(4)      NOT NULL,
    S_DOC_SEQUENCE_ID     NUMBER(18, 0)    NOT NULL,
    MODULE_ID             VARCHAR2(128)    NOT NULL,
    T_DOC_SEQUENCE_ID     NUMBER(18, 0)    NOT NULL,
    T_DETERMINANT_TYPE    VARCHAR2(120),
    MAPPED_FLAG           VARCHAR2(4)      NOT NULL,
    MIGRATED_FLAG         VARCHAR2(4)      NOT NULL,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128)    NOT NULL,
    CONSTRAINT pk_fnd_map_document_sequences PRIMARY KEY (MAP_ID, MAP_ID)
);
